<div class="col-8 offset-2 mt-3">
  <h2>{{pageTitle}}</h2>
  <hr>
  <div class="card col-12 mt-2" *ngFor="let chat of chats">
    <div class="card-body">
      <h5 class="card-title">
        <img src="{{url + 'user/get-avatar/' + chat.user1.image}}" class="nav-avatar"
          *ngIf="identity.sub!=chat.user1.id && chat.user1.image">
        <img src="{{url + 'user/get-avatar/' + chat.user2.image}}" class="nav-avatar"
          *ngIf="identity.sub!=chat.user2.id && chat.user2.image">
        <img src="{{url + 'user/get-avatar/default-profile-picture.png'}}" class="nav-avatar"
          *ngIf="identity.sub!=chat.user1.id && !chat.user1.image">
        <img src="{{url + 'user/get-avatar/default-profile-picture.png'}}" class="nav-avatar"
          *ngIf="identity.sub!=chat.user2.id && !chat.user2.image">
        <span *ngIf="identity.sub!=chat.user1.id" class="ml-2"><a [routerLink]="['/perfil-usuario',chat.user1.id]">{{chat.user1.name+ ' '+ chat.user1.surname}} </a></span>
        <span *ngIf="identity.sub!=chat.user2.id" class="ml-2"><a [routerLink]="['/perfil-usuario',chat.user2.id]">{{chat.user2.name+' '+chat.user2.surname}} </a></span>
        <span class="text-muted" *ngIf="identity.sub!=chat.user1.id" class="ml-3"> ({{chat.user1.nick}})</span>
        <span class="text-muted" *ngIf="identity.sub!=chat.user2.id" class="ml-3"> ({{chat.user2.nick}})</span>
      </h5>
      <span class="text-info"> Último mensaje {{chat.updated_at | amLocale:'es' | amTimeAgo}}</span>
      <div>
        <a [routerLink]="['/chat',chat.id]" class="btn btn-success mt-2">Entrar al chat</a>
      </div>
    </div>
  </div>
</div>